/*
Platinenhalter zur Führung an Busplatinen
- konfigurierbare Breite (Anzahl)
*/

halter(anzahl=6);

$fn = 50;
sec = 0.05;

// Konstanten 

pDist = 17.75;		// Abstand zweier Platinen

xWall = 10.0;		// Stärke der Wand
yWall = 99.7;		// Länge der Wand
hWall = 25.0;		// Höhe der Wand

eBrd = 4.2;			// Tiefe der Einschnitte in Wand
tBrd = 2.0; 		// Stärke des Platinenmaterials

xHole = 5.75;		// Abstand der Schraublöcher
yHole = 13.0;		// dto
dHole = 2.54;		// Durchmesser der Schraublöcher

module halter(anzahl) {

	difference(){
		
		cube([xWall,yWall,hWall]);

		for (i = [0:anzahl-1]) {
			translate([xWall-eBrd, 2+i*pDist, 0]) cube([eBrd,tBrd,hWall]);
		} 
		
		translate([xWall-xHole,yHole,0]) cylinder(d=dHole, h=hWall);
		translate([xWall-xHole,100-yHole,0]) cylinder(d=dHole, h=hWall);
	}
} // end module


